LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFolderPicker Interface Referencepublished

Specifies a FolderPicker interface. More...

`import"XFolderPicker.idl";`

Inheritance diagram for XFolderPicker:

## Public Member Functions
void | setDisplayDirectory ([in] string aDirectory) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Sets the root directory that the FolderPicker should display. More...
string | getDisplayDirectory ()
| Returns the root directory that the FolderPicker is showing. More...
string | getDirectory ()
| Returns the selected directory as url conforming to Rfc1738. More...
void | setDescription ([in] string aDescription)
| The implementation may optionally show the given text as a description for the user within the dialog, e.g. More...
Public Member Functions inherited from XExecutableDialog
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies a FolderPicker interface.

## Member Function Documentation

## ◆ getDirectory()

string getDirectory | ( |  | ) |

Returns the selected directory as url conforming to Rfc1738.

Returns
  The selected directory as url if the user did close the dialog with Ok else the returned value is undefined.

## ◆ getDisplayDirectory()

string getDisplayDirectory | ( |  | ) |

Returns the root directory that the FolderPicker is showing.

The return value is undefined if the client did not choose a root directory or the previously specified root directory doesn't exist.

Returns
  The directory in url format.

## ◆ setDescription()

void setDescription | ( | [in] string | aDescription | ) |

The implementation may optionally show the given text as a description for the user within the dialog, e.g.

"Please select a directory". If the client doesn't set a description the dialog may show a default description.

## ◆ setDisplayDirectory()

void setDisplayDirectory | ( | [in] string | aDirectory | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Sets the root directory that the FolderPicker should display.

It is not specified which root directory the FolderPicker chooses if the specified root directory doesn't exist.

Parameters

  aDirectory | Specifies the root directory in url format, conforming to Rfc1738.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given url is invalid.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XFolderPicker.idl